Skip to main content
GET
/
orgs
/
{orgId}
/
sender-addresses
/
{addressId}
Returns a specific sender address by ID
curl --request GET \
  --url https://api.zippendo.com/orgs/{orgId}/sender-addresses/{addressId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "attContact": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "zipcode": "<string>",
  "city": "<string>",
  "phone": "<string>",
  "countryCode": "<string>",
  "state": "<string>",
  "email": "jsmith@example.com",
  "orgId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "customs": {}
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

addressId
string
required

Sender Address ID

Response

Default Response

id
string
required
name
string
required

Name of the sender address (e.g., 'primary hub')

attContact
string
required

Attention contact

address1
string
required

Address line 1

address2
string | null
required

Address line 2

zipcode
string
required

Postal/ZIP code

city
string
required

City

phone
string
required

Phone number

countryCode
string
required

Country code

state
string
required

State/Province

email
string<email>
required

Email address

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
orgId
string
required
createdAt
string
required
updatedAt
string
required
customs
object